package com.cf.imes.module.executor.util;

import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * 生产单新增传入文件格式转换工具
 */
public interface FileTypeChangeUtil {
    //    文件数据格式转换
    <T> List<?> fileDataChange(MultipartFile file) throws IOException;

    //    Api数据格式转换

    //    ds数据转换

    //    数据转换成功判断
    boolean getFlag();

    //    根据文件类型判断使用那种方式进行数据转换
    default <T> List<?> chooseType(MultipartFile file, String type) throws IOException {
        if (type.equals("cf_cad"))
            return fileDataChange(file);
        return null;
    }
}
